#
# spec file for package python-sphinxcontrib-seqdiag
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_with     test
Name:           python-sphinxcontrib-seqdiag
Version:        3.0.0
Release:        1.12
Summary:        Sphinx "seqdiag" extension
License:        BSD-2-Clause
Group:          Development/Languages/Python
URL:            http://github.com/blockdiag/sphinxcontrib-seqdiag
Source:         https://files.pythonhosted.org/packages/source/s/sphinxcontrib-seqdiag/sphinxcontrib-seqdiag-%{version}.tar.gz
BuildRequires:  %{python_module Sphinx >= 0.6}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Sphinx >= 0.6
Requires:       python-blockdiag >= 1.5.0
Requires:       python-seqdiag >= 0.9.3
BuildArch:      noarch
%if %{with test}
BuildRequires:  %{python_module blockdiag >= 1.5.0}
BuildRequires:  %{python_module seqdiag >= 0.9.3}
%endif
%python_subpackages

%description
A sphinx extension for embedding sequence diagram using seqdiag_.

This extension enables you to insert sequence diagrams into your document.

%prep
%setup -q -n sphinxcontrib-seqdiag-%{version}

%build
%python_build

%install
%python_install
# remove tests/ dir from global site-packages
%{python_expand rm -rf %{buildroot}%{$python_sitelib}/tests
%fdupes %{buildroot}%{$python_sitelib}
}

%files %{python_files}
%license LICENSE
%doc AUTHORS README.rst
%{python_sitelib}/sphinxcontrib/seqdiag.py*
%pycache_only %{python_sitelib}/sphinxcontrib/__pycache__
%{python_sitelib}/sphinxcontrib_seqdiag-%{version}-py*-nspkg.pth
%{python_sitelib}/sphinxcontrib_seqdiag-%{version}-py*.egg-info

%changelog
* Mon Jan 10 2022 Dirk Müller <dmueller@suse.com>
- update to 3.0.0:
  * drop python 3.5/3.6
  * add python 3.9+ support
* Tue Feb 25 2020 Thomas Bechtold <tbechtold@suse.com>
- update to version 2.0.0:
  * Update CI settings
  * blockdiag.utils.compat has been no longer needed
  * Update package metadata
  * Drop old Sphinx support
  * Drop codes for old pythons
  * Add .mypy_cache to gitignore
  * Bump v2.0.0
  * Fix flake8 violations
- Stop building python2 version. No longer supported upstream
* Thu Jan  9 2020 Tomáš Chvátal <tchvatal@suse.com>
- Remove bogus python-devel and python-setuptools deps
* Fri Dec 14 2018 Matěj Cepl <mcepl@suse.com>
- Package should own whole sitelib/sphinxcontrib/__pycache__
* Fri Dec  7 2018 Matej Cepl <mcepl@suse.com>
- Remove wrong BR on python-sphinxcontrib
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Mon Sep 18 2017 toddrme2178@gmail.com
- Use new python-sphinxcontrib package to provide namespace
  directory.
- Implement single-spec version
* Tue Nov 15 2016 dmueller@suse.com
- update to 0.8.5:
  * Python 3.5 enablement
* Wed Nov 25 2015 tbechtold@suse.com
- Don't install tests/ into global python site-packages dir
- Fix license string
* Fri Jul 10 2015 tbechtold@suse.com
- update Requires
* Fri Jul 10 2015 tbechtold@suse.com
- Initial packaging
